<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('items', function (Blueprint $table) {
            $table->decimal('item_delivery_charge', 24, 2)->default(0)->after('maximum_cart_quantity');
            $table->decimal('item_packaging_charge', 24, 2)->default(0)->after('item_delivery_charge');
        });
    }

    public function down(): void
    {
        Schema::table('items', function (Blueprint $table) {
            $table->dropColumn(['item_delivery_charge', 'item_packaging_charge']);
        });
    }
};
